Name: harddrake
Summary: Main Hardware Configuration/Information Tool
Version: 0.9.3
Release: 21mdk
Source: ftp://ftp.linux-mandrake.com/pub/harddrake/SOURCES/%{name}-%{version}.tar.bz2
Source1: harddrake
Source2: harddrake.pamd
Source3: harddrake.apps
Patch: harddrake-compil.patch.bz2
Patch1: harddrake-init.patch.bz2
Patch2: harddrake-fixes.patch.bz2
Patch3: harddrake-po.patch.bz2
Patch4: harddrake-norevhistory.patch.bz2
Patch5: harddrake-nocarriage.patch.bz2
Patch6: harddrake-draknet.patch.bz2
Patch7: harddrake-nobootconfig.patch.bz2
Patch8: harddrake-via82.patch.bz2
#
# (fg) 20010112 Three patches:
# - patch9 avoids rpath hardcoding into harddrake executable,
# - patch10 removes a now illegal po file
# - patch11 adds a reload entry to harddrake.init
#
Patch9: harddrake-no-rpath-please.patch.bz2
Patch10: harddrake-fixlang.patch.bz2
Patch11: harddrake-initd-script-fix.patch.bz2

# (DindinX) 20010201 updated (dam's) 20010228
# patch12: allow to be embedded into the mandrake-control-center
Patch12: harddrake.embedded.patch.bz2
# (dam's) 200010416 simple set_usize fix
Patch13: harddrake-size.patch.bz2

URL: http://www.linux-mandrake.com/harddrake/
Group: System/Configuration/Hardware
#BuildRequires: libdetect-devel, libxml-devel, libgtk+-devel, libncurses-devel, libnewt-devel
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prefix: %{_prefix}
Requires: gtk+ >= 1.2.3, detect >= 0.9.72, alsa, libxml, usermode, /usr/bin/play, /usr/bin/playmidi
Obsoletes: lothar, sounddrake, etherddrake

%description
This is the main configuration tool that calls all the other
configuration tools.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1 -b .old
%patch13 -p1 -b .dam

%build
%serverbuild

libtoolize --copy --force
env CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" sh ./autogen.sh  \
	--prefix=%{_prefix} \
	--with-gtkui \
	--with-textui \
%ifarch alpha
	--with-detect-prefix=%{_prefix} \
	--disable-detecttest
%else
	--with-detect-prefix=%{_prefix}
%endif

%make

%install
%makeinstall

#make install \
#	prefix=$RPM_BUILD_ROOT%{_prefix} \
#	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
#	mandir=$RPM_BUILD_ROOT%{_mandir} \
#	libdir=$RPM_BUILD_ROOT%{_libdir} \
#	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
#	datadir=$RPM_BUILD_ROOT%{_datadir} \
#	includedir=$RPM_BUILD_ROOT%{_includedir}

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 harddrake.init \
	$RPM_BUILD_ROOT/%{_initrddir}/harddrake

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/harddrake
#install -m 644 harddrake.xml \
#	$RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/harddrake

mkdir -p $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
(cd $RPM_BUILD_ROOT/%{_bindir} && ln -s consolehelper harddrake-auth)
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,security/console.apps}
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/harddrake-auth
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/harddrake-auth

%find_lang HardDrake

%post
%_post_service %name
%{update_menus}

%preun
%_preun_service %name

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f HardDrake.lang
%defattr(-,root,root,755)
%doc AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO
%config(noreplace) %{_sysconfdir}/pam.d/harddrake-auth
%config(noreplace) %{_sysconfdir}/security/console.apps/harddrake-auth
%{_bindir}/harddrake-auth
%dir %{_sysconfdir}/sysconfig/harddrake
%config(noreplace) %{_initrddir}/harddrake
%{_sbindir}/*
%{_datadir}/pixmaps/harddrake
%{_datadir}/gnome/help/harddrake
%{_datadir}/harddrake
%{_menudir}/*
%{_iconsdir}/harddrake.xpm
%{_miconsdir}/harddrake.xpm
%{_liconsdir}/harddrake.xpm


%changelog
* Wed Sep 19 2001 Daouda LO <daouda@mandrakesoft.com> 0.9.3-21mdk
- Don't run on unpriviledged mode

* Fri Jun 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.3-20mdk
- remove po/Makefile.in to po/Makefile hack

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.3-19mdk
- libtoolize --copy --force before autogen.sh (Stefan).

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.3-18mdk
- Make it build on the Alpha platform.
- Rename po/Makefile.in to po/Makefile just before build so that
  building of locales does not break.

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 0.9.3-17mdk
- simple usize patch

* Tue Apr 03 2001 Francis Galiegue <fg@mandrakesoft.com> 0.9.3-16mdk
- Use %%serverbuild and %%_*_service

* Thu Mar  1 2001 dam's <damien@mandrakesoft.com> 0.9.3-15mdk
- updated embedded mode.

* Fri Feb  2 2001 DindinX <odin@mandrakesoft.com> 0.9.3-14mdk
- fix the about dialog width in all language

* Thu Feb  1 2001 DindinX <odin@mandrakesoft.com> 0.9.3-13mdk
- allow embedded mode, make many dialogs modal (patch12)

* Thu Jan 11 2001 Francis Galiegue <fg@mandrakesoft.com> 0.9.3-12mdk

- Fixed BuildRequires to comply with new lib policy
- No rpath, please (patch9)
- Remove a now illegal po file (patch10)

* Mon Oct 09 2000 Francis Galiegue <fg@mandrakesoft.com> 0.9.3-11mdk

- Use usermode, not kdesu

* Thu Oct 05 2000 Franois Pons <fpons@mandrakesoft.com> 0.9.3-10mdk
- added requires on /usr/bin/play and /usr/bin/playmidi.

* Sat Sep 30 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-9mdk
- via82xxx don't need sb support option anymore. 

* Tue Sep 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-8mdk
- Removed boot configuration(aurora doesn't work with interactive mode).

* Mon Sep 25 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-7mdk
- Call draknet for ISDN cards.

* Mon Sep 25 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-6mdk
- No carriage return arrow in start text. 

* Fri Sep 22 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-5mdk
- Removed revision history in doc(sgml).

* Mon Sep 11 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-4mdk
- Patched to fixe typo and functionnalities.
- Sync with latest fr.po from CVS.

* Fri Sep 08 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-3mdk
- Added kdesu requires. 
- Updated detect require version.
- Patched initscript(adds status and reload).

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-2mdk
- macros
- config(noreplace)
- find_lang
- chkconfig --del in preun stage

* Thu Aug 31 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Wed Aug 30 2000 Stefan Siegel <siegel@linux-mandrake.com> 0.9.2-3mdk
- use %_initrddir to install init-script in the right place.
- updated BuildRequires.

* Wed Aug 30 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.2-2mdk
- Change init echo.
- Fix make -j.

* Tue Aug 29 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.2-1mdk
- Removed kudzu patch(obsolete now).
- 0.9.2

* Tue Aug 22 2000 Stefan Siegel <siegel@linux-mandrake.com> 0.9.1-3mdk
- added missing sound samples.
- move /etc/rc.d/init.d -> /etc/init.d

* Tue Aug 08 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9.1-2mdk
- Updated requires.
- Patched to avoid tree.h conflict.
- Fixed kudzu patch.

* Mon Jul 31 2000 Stefan Siegel <siegel@linux-mandrake.com> 0.9.1-1mdk
- BM.

* Mon Jul 31 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9-4mdk
- Patched to disabling kudzu at boot.

* Thu Jul 20 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9-3mdk
- Requires detect 0.9.60 not 0.9.6 (because 0.60 is newer than 0.6 :-/)

* Mon Jul 17 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9-2mdk
- Install harddrake.xml.

* Mon Jul 17 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.9-1mdk
- 0.9
-Added harddrake.xml in files section.

* Tue Jun 27 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.8.1-3mdk
- Fixed a typo error in menu.

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.8.1-2mdk
- /s harddrake harddrake.init

* Mon Jun 26 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.8.1-1mdk
- Install harddrake initscript.
- 0.8.1

* Thu Jun 22 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.8-2mdk
- Added kdesu in menu file.
- Install icon for update-menus.

* Wed Jun 21 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.8-1mdk
- Added Icon.
- Updated %build section.
- Updated %files section.
- 0.8 version.

* Tue May 23 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7-4mdk
- Install binary in sbin/ now.

* Tue May 23 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7-3mdk
- Fixed bin to sbin module path.

* Tue May 16 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7-2mdk
- Updated source field.

* Fri May 12 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7-1mdk
- Mandrake compliant again.
- Use update-menus now.

* Thu Apr 27 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.5.3-8mdk
- Fixed etherdrake and sounddrake calls.
- Replaced old lothar about logo by new one.

* Tue Apr 11 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.5.3-7mdk
- Call etherdrake instead of etherconfig
- Call sounddrake instead of soundconfig

* Fri Apr 07 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.5.3-6mdk
- Lothar becomes HardDrake

* Mon Mar 27 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.3-5mdk
- fix group

* Tue Dec 28 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5.3

* Fri Dec 17 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5.2

* Wed Dec 08 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Removed kdesu&drakxtools dependencies.

* Mon Nov 23 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5.1
- Added drakxtools dependencies.

* Mon Nov 22 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Use kdesu instead of gsu(security bug).

* Thu Nov 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Fixed KDE entry.

* Fri Oct 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the horrible %files

* Thu Oct 28 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added root defattr.

* Wed Oct 27 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Added reference for KDE desktop(call gsu if needed).

* Mon Oct 25 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.5
- Added reference for GNOME desktop(call gsu if needed).
- Added URL.
- Decrease Gtk version dependence(Titi sucks)
- Added gsu dependence.

* Thu Sep 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.4.2 (as usual, more hardware are supported)

* Mon Jul 24 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.4.1

* Mon Jul 12 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- 0.4

* Mon Jul 12 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- support for %_prefix
- optimized building rpm for both SMP and non SMP

* Fri Jul 9 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- striping files for smaller size
- docs now installed in /usr/doc/lothar-x.xx/

* Tue Jul 6 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- optimization for i586 and i686

* Sat Jul 3 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- Updated to version 0.2

* Wed Apr 28 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca>
- hacked a patch to allow the pixmaps to be displayed

* Thu Apr 22 1999 Abdulmajid Sharif <sharif@sus.mcgill.ca
- Attempting to build RPM

* Fri Mar 26 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- First packaging.
